
Foreman - Bug #9938

Allow date formatting / localisation to be configured in Administer -> Settings

03/29/2015 04:59 AM - PixelDrift.NET Support

Status: Duplicate   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently dates displayed throughout the UI (specifically on the errata page) are formatted m/d/y.

It would be excellent if the date display format was configurable globally with alternative date formats such as 'yyyy-mm-dd',

'dd/mm/yyyy' from the Administer -> Settings menu.

Alternatively, could the date display format be read from the TZ configuration of the host?

Related issues:

Related to Foreman - Bug #9942: "Generated at" date/timestamp is not localised New 03/30/2015

History

#1 - 03/30/2015 06:25 AM - Dominic Cleal

- Related to Bug #9942: "Generated at" date/timestamp is not localised added

#2 - 03/30/2015 06:27 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Triaged set to No

Timestamp formats should be following the browser locale by default, unless they have been overridden under your account settings, so we already

have a means of configuring this.

Moving to Katello as it's possible this is just an issue with the locale not being respected on the errata page.  #9942 also covers an issue seen in

Foreman with the locale not being respected there.

#3 - 04/02/2015 12:56 PM - Eric Helms

- Tracker changed from Feature to Bug

- Assignee set to Walden Raines

- Triaged changed from No to Yes

Moving to a bug as the UI should be localized everywhere possible, so there may be areas we missed or didn't think of during reviews.

#4 - 12/21/2015 05:33 PM - Eric Helms

- translation missing: en.field_release set to 114

#5 - 06/24/2016 12:04 PM - Walden Raines

- Project changed from Katello to Foreman

- Status changed from New to Closed

I am seeing dates on the errata page being displayed correctly based on the locale.

En español la fecha se muestra como 27/1/12.

05/22/2024 1/2

https://projects.theforeman.org/issues/9942


In US English the date is displayed as 1/27/12.

I am closing this bug.  If we want a feature to make dates configurable beyond locale settings then please reopen and work with the Foreman team on

prioritization.

#6 - 06/27/2016 03:06 AM - Dominic Cleal

- Status changed from Closed to Duplicate

- translation missing: en.field_release deleted (114)
